.js-drawer-open {
    overflow: hidden
}

.drawer {
    -webkit-overflow-scrolling: touch;
    background-color: var(--colorDrawers);
    bottom: 0;
    color: var(--colorDrawerText);
    display: none;
    max-width: 95%;
    overflow: hidden;
    position: fixed;
    top: 0;
    transition: transform .25s cubic-bezier(.43, .01, .44, 1);
    z-index: 30
}

@media screen and (max-height: 400px) {
    .drawer {
        overflow: scroll
    }

    .drawer .drawer__contents {
        height: auto
    }
}

.drawer a:not(.btn) {
    color: var(--colorDrawerText)
}

.drawer a:not(.btn):hover {
    color: var(--colorDrawerText)
}

.drawer input, .drawer textarea {
    border-color: var(--colorDrawerBorder)
}

.drawer .btn {
    background-color: var(--colorDrawerButton);
    color: var(--colorDrawerButtonText)
}

.drawer .cart__checkout {
    background-color: var(--colorDrawerButton) !important
}

.drawer .cart__checkout {
    color: var(--colorDrawerButtonText)
}

.drawer--left {
    left: -350px;
    width: 350px
}

.drawer--left.drawer--is-open {
    display: block;
    transform: translate(350px);
    transition-duration: .4s;
    border-top: 1px solid #E8E2D8
}

@media only screen and (min-width: 590px) {
    .drawer--left.drawer--is-open {
        transition-duration: .5s
    }
}

.drawer--right {
    right: -350px;
    width: 350px
}

@media only screen and (min-width: 590px) {
    .drawer--right {
        right: -450px;
        width: 450px
    }
}

.drawer--right.drawer--is-open {
    display: block;
    transform: translate(-350px);
    transition-duration: .4s
}

@media only screen and (min-width: 590px) {
    .drawer--right.drawer--is-open {
        transform: translate(-450px);
        transition-duration: .5s
    }
}

.js-drawer-closing .main-content:after,
.js-drawer-open .main-content:after {
    background-color: var(--colorModalBg);
    bottom: 0;
    content: "";
    cursor: pointer;
    display: block;
    left: 0;
    opacity: 0;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 26
}

.js-drawer-open .main-content:after {
    animation: overlay-on .5s forwards
}

.js-drawer-closing .main-content:after {
    animation: overlay-off .4s forwards
}

.drawer__fixed-header, .drawer__footer,
.drawer__header, .drawer__scrollable {
    padding-left: 25px;
    padding-right: 25px
}

@media only screen and (min-width: 590px) {
    .drawer__fixed-header, .drawer__footer,
    .drawer__header, .drawer__scrollable {
        padding-left: 40px;
        padding-right: 40px
    }
}

.drawer__header {
    border-bottom: 1px solid;
    border-bottom-color: var(--colorDrawerBorder);
    display: table;
    margin-bottom: 0;
    min-height: 70px;
    padding: 15.38462px 0;
    width: 100%
}

.drawer__fixed-header {
    min-height: 70px;
    overflow: visible
}

.drawer__fixed-header, .drawer__header {
    height: auto
}

@media only screen and (min-width: 590px) {
    .drawer__fixed-header, .drawer__header {
        min-height: 95px
    }
}

.drawer__close, .drawer__title {
    display: table-cell;
    vertical-align: middle
}

.drawer__title {
    font-family: var(--typeHeaderPrimary), var(--typeHeaderFallback);
    font-weight: var(--typeHeaderWeight);
    letter-spacing: var(--typeHeaderSpacing);
    line-height: var(--typeHeaderLineHeight)
}

[data-type_header_capitalize=true] .drawer__title {
    text-transform: uppercase
}

.drawer__title {
    font-size: 24px;
    width: 100%
}

.drawer__close {
    text-align: center;
    width: 1%
}

.drawer__close-button {
    color: inherit;
    height: 100%;
    padding: 0 15px;
    position: relative;
    right: -20px
}

.drawer__close-button:active {
    background-color: var(--colorDrawersDim)
}

.drawer__close-button .icon {
    height: 23px;
    width: 23px
}

@media only screen and (min-width: 590px) {
    .drawer__close-button .icon {
        height: 28px;
        width: 28px
    }
}

@media only screen and (min-width: 769px) {
    .drawer__close-button {
        right: 0
    }
}

@media only screen and (min-width: 769px) {
    .drawer__close-button {
        right: -20px
    }
}

.drawer__close--left {
    text-align: left
}

.drawer__close--left .drawer__close-button {
    left: -20px;
    right: auto
}

.drawer__contents {
    display: flex;
    flex-direction: column;
    height: 100%
}

.drawer__inner, .drawer__scrollable {
    display: flex;
    flex: 1 1 auto;
    flex-direction: column;
    overflow-y: hidden
}

.drawer__scrollable {
    -webkit-overflow-scrolling: touch;
    overflow: hidden;
    overflow-y: auto;
    padding-top: 20px
}

@media only screen and (min-width: 590px) {
    .drawer__scrollable {
        padding-top: 40px
    }
}

.drawer__footer {
    padding-bottom: calc(20px + env(safe-area-inset-bottom) * 1.5);
    padding-top: 20px
}

.drawer__footer:after {
    border-top: 1px solid;
    border-top-color: var(--colorDrawerBorder);
    content: "";
    left: 20px;
    position: absolute;
    right: 20px;
    top: 0
}

@media only screen and (min-width: 590px) {
    .drawer__footer {
        padding-bottom: 30px;
        padding-top: 29.62963px
    }

    .drawer__footer:after {
        left: 40px;
        right: 40px
    }
}

.drawer__inner.is-loading .drawer__scrollable {
    opacity: .4;
    transition: opacity .3s ease .7s
}


.js-drawer-open, .js-drawer-open-pdp {
    overflow: hidden
}

.drawer {
    display: none;
    position: fixed;
    overflow: hidden;
    -webkit-overflow-scrolling: touch;
    top: 0;
    bottom: 0;
    padding: 0 20px 20px;
    z-index: 30;
    color: #fff;
    transition: -webkit-transform .4s cubic-bezier(.165, .84, .44, 1);
    -webkit-transition: -webkit-transform .4s cubic-bezier(.165, .84, .44, 1);
    transition: transform .4s cubic-bezier(.165, .84, .44, 1);
    transition: transform .4s cubic-bezier(.165, .84, .44, 1), -webkit-transform .4s cubic-bezier(.165, .84, .44, 1)
}

@media only screen and (min-width: 590px) {
    .drawer {
        padding: 0 40px 40px
    }
}

.drawer a, .drawer a:hover {
    color: #fff
}

.drawer input, .drawer textarea {
    border-color: #e8e8e1
}

.drawer .btn--secondary {
    -webkit-transition: all .2s ease-out;
    transition: all .2s ease-out;
    background-color: #fff;
    color: #000
}

.drawer .btn--secondary:hover {
    background-position: 95% 35%;
    padding-right: 55px
}

.drawer--left {
    width: 300px;
    left: -300px
}

.drawer--left.drawer--is-open {
    display: block;
    -webkit-transform: translateX(300px);
    transform: translate(300px);
    -webkit-transition-duration: .8s;
    transition-duration: .8s
}

.drawer--right {
    width: 300px;
    right: -300px
}

@media only screen and (min-width: 590px) {
    .drawer--right {
        width: 400px;
        right: -400px
    }
}

.drawer--right.drawer--is-open {
    display: block;
    -webkit-transform: translateX(-300px);
    transform: translate(-300px);
    -webkit-transition-duration: .8s;
    transition-duration: .8s
}

@media only screen and (min-width: 590px) {
    .drawer--right.drawer--is-open {
        -webkit-transform: translateX(-400px);
        transform: translate(-400px)
    }
}

.js-drawer-closing .main-content:after,
.js-drawer-open .main-content:after,
.js-drawer-open-pdp .main-content:after {
    content: "";
    display: block;
    position: fixed;
    top: 96px;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000;
    opacity: 0;
    z-index: 26
}

.js-drawer-open-pdp .main-content:after {
    top: 0;
    -webkit-animation: overlay-on .5s forwards;
    animation: overlay-on .5s forwards
}

.js-drawer-open-pdp body.template-product #chat-button {
    z-index: -1
}

.drawer__header {
    display: table;
    height: 70px;
    width: 100%;
    padding: 15.38462px 0;
    margin-bottom: 0;
    border-bottom: 1px solid #e8e8e1
}

@media only screen and (min-width: 590px) {
    .drawer__header {
        height: 119px
    }
}

.drawer__fixed-header {
    position: absolute;
    top: 0;
    left: 20px;
    right: 20px;
    height: 70px;
    overflow: visible
}

@media only screen and (min-width: 590px) {
    .drawer__fixed-header {
        height: 119px;
        left: 40px;
        right: 40px
    }
}

.drawer__close, .drawer__title {
    display: table-cell;
    vertical-align: middle
}

.drawer__title {
    font-family: benton-comp-bold, sans-serif;
    font-size: 1.41176em;
    width: 100%
}

.drawer__close {
    width: 1%;
    text-align: center
}

.drawer__close-button .icon {
    height: 28px;
    width: 28px
}

@media only screen and (min-width: 769px) {
    .drawer__close-button {
        right: 0
    }
}

@media only screen and (min-width: 769px) {
    .drawer__close-button {
        right: -20px
    }
}

.drawer__close--left {
    text-align: left
}

.drawer__close--left .drawer__close-button {
    right: auto;
    left: -20px
}

.drawer__inner {
    position: absolute;
    top: 119px;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 20px 20px 0;
    overflow: auto;
    -webkit-overflow-scrolling: touch
}

@media only screen and (min-width: 590px) {
    .drawer__inner {
        top: 119px;
        padding-left: 40px;
        padding-right: 40px
    }
}

.drawer--has-fixed-footer .drawer__inner {
    overflow: hidden;
    overflow-y: auto
}

.drawer__inner--has-fixed-footer {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: 0;
    padding: 20px 20px 0;
    bottom: 130px;
    overflow: auto;
    -webkit-overflow-scrolling: touch
}

@media only screen and (min-width: 590px) {
    .drawer__inner--has-fixed-footer {
        padding: 29.62963px 40px 0
    }
}

.drawer__footer {
    border-top: 1px solid #e8e8e1;
    padding-top: 20px
}

@media only screen and (min-width: 590px) {
    .drawer__footer {
        padding-top: 29.62963px
    }
}

.drawer__footer--fixed {
    position: absolute;
    bottom: 0;
    left: 20px;
    right: 20px;
    min-height: 130px;
    padding-bottom: 40px
}

@media only screen and (max-width: 589px) {
    .drawer__footer--fixed {
        padding-bottom: 20px
    }
}

@media only screen and (min-width: 590px) {
    .drawer__footer--fixed {
        left: 40px;
        right: 40px
    }
}

.collapsible-trigger {
    color: inherit;
    position: relative
}

.mobile-nav__toggle button {
    padding: 20px 30px
}

.collapsible-trigger__icon {
    display: block;
    position: absolute;
    right: 0;
    top: 50%;
    width: 12px;
    height: 12px;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%)
}

.collapsible-trigger__icon .icon {
    display: block;
    width: 12px;
    height: 12px;
    -webkit-transition: all .1s ease-in;
    transition: all .1s ease-in
}

.collapsible-trigger__icon--circle {
    border: 1px solid #e8e8e1;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    text-align: center
}

.collapsible-trigger__icon--circle .icon {
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%)
}

.collapsible-trigger.is-open .collapsible-trigger__icon > .icon-chevron-down {
    -webkit-transform: scaleY(-1);
    transform: scaleY(-1)
}

.collapsible-trigger .collapsible-trigger__icon .icon-minus,
.collapsible-trigger.is-open .collapsible-trigger__icon .icon-plus {
    display: none
}

.collapsible-trigger.is-open .collapsible-trigger__icon .icon-minus {
    display: block
}

.collapsible-content {
    -webkit-transition: opacity .3s cubic-bezier(.25, .46, .45, .94), height .3s cubic-bezier(.25, .46, .45, .94);
    transition: opacity .3s cubic-bezier(.25, .46, .45, .94), height .3s cubic-bezier(.25, .46, .45, .94)
}

.collapsible-content.is-open {
    visibility: visible;
    opacity: 1;
    -webkit-transition: opacity 1s cubic-bezier(.25, .46, .45, .94), height .5s cubic-bezier(.25, .46, .45, .94);
    transition: opacity 1s cubic-bezier(.25, .46, .45, .94), height .5s cubic-bezier(.25, .46, .45, .94)
}

.collapsible-content--all {
    visibility: hidden;
    overflow: hidden;
    -webkit-backface-visibility: hidden;
    backface-visibility: hidden;
    opacity: 0;
    height: 0
}

.collapsible-content--all .collapsible-content__inner {
    -webkit-transform: translateY(40px);
    transform: translateY(40px)
}

.collapsible-content--all .collapsible-content__inner--no-translate {
    -webkit-transform: translateY(0);
    transform: translateY(0)
}

@media only screen and (max-width: 589px) {
    .collapsible-content--small {
        visibility: hidden;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        opacity: 0;
        height: 0
    }

    .collapsible-content--small .collapsible-content__inner {
        -webkit-transform: translateY(40px);
        transform: translateY(40px)
    }

    .collapsible-content--small .collapsible-content__inner--no-translate {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

@media only screen and (max-width: 1049px) {
    .collapsible-content--large {
        visibility: hidden;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        opacity: 0;
        height: 0
    }

    .collapsible-content--large .collapsible-content__inner {
        -webkit-transform: translateY(40px);
        transform: translateY(40px)
    }

    .collapsible-content--large .collapsible-content__inner--no-translate {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

@media screen and (max-width: 833px) {
    .collapsible-content--tablet {
        visibility: hidden;
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        opacity: 0;
        height: 0
    }

    .collapsible-content--tablet .collapsible-content__inner {
        -webkit-transform: translateY(40px);
        transform: translateY(40px)
    }

    .collapsible-content--tablet .collapsible-content__inner--no-translate {
        -webkit-transform: translateY(0);
        transform: translateY(0)
    }
}

.collapsible-content__inner {
    -webkit-transition: -webkit-transform .3s cubic-bezier(.25, .46, .45, .94);
    transition: -webkit-transform .3s cubic-bezier(.25, .46, .45, .94);
    transition: transform .3s cubic-bezier(.25, .46, .45, .94);
    transition: transform .3s cubic-bezier(.25, .46, .45, .94), -webkit-transform .3s cubic-bezier(.25, .46, .45, .94)
}

.is-open .collapsible-content__inner {
    -webkit-transform: translateY(0);
    transform: translateY(0);
    -webkit-transition: -webkit-transform .5s cubic-bezier(.25, .46, .45, .94);
    transition: -webkit-transform .5s cubic-bezier(.25, .46, .45, .94);
    transition: transform .5s cubic-bezier(.25, .46, .45, .94);
    transition: transform .5s cubic-bezier(.25, .46, .45, .94), -webkit-transform .5s cubic-bezier(.25, .46, .45, .94)
}

.collapsible-trigger[aria-expanded=true] .collapsible-label__closed, .collapsible-label__open {
    display: none
}

.collapsible-trigger[aria-expanded=true] .collapsible-label__open {
    display: inline-block
}
